using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Web;
using System.Data;
using System.Data.SqlClient;
using A8ERP.Common;
using Sybase.DataWindow;
using TXSoft.Common;
using TXSoft.ExtPB;
using TXSoft.DataStore;


namespace A8ERP.DiaoBo.BaoBiao_Base
{
    public partial class W_JQKS_DB
    {
        private string cdbh = "";
        private string bbfl = "";
        private string bbmc = "";
        private string yhbh = "";
        private string pzh = "";
        public W_JQKS_DB()
        {

        }
        public override void OnLoad()
        {
            base.OnLoad();
            DBHelp dbhelp = new DBHelp();

            if (this.Page != null)
            {
                this.Page.ClientScript.RegisterClientScriptInclude("W_Edit", "/DangAn/Base/OpenWindowDoubleRowsChooseBase.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("OpenWindowQueryBase", "/DangAn/Base/OpenWindowQueryBase.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("OpenWindowSimpleChoseBase", "/DangAn/Base/OpenWindowSimpleChoseBase.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_Base_Report_Open_Mx_Ex", "/Base/W_Base_Report_Open_Mx_Ex.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_Base_SaveOP", "/KuCun/TongJiFenXi/Base/W_Base_SaveOP.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_Base_BB_List", "/KuCun/TongJiFenXi/Base/W_Base_BB_List.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_KC_PIC", "/KuCun/TongJiFenXi/W_KC_PIC.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_JQKS_DB", "/DiaoBo/BaoBiao_Base/W_JQKS_DB.win.js?JSV=" + AppService.GetJSVesion());
            }
            this.IsRegisterScriptFile = false;

            User user = new User();
            user = (User)Session["User"];
            string curYhbh = user.Yhbh;

            string curjgqx = A8ERP.DBHelp.GetJGTXByBMAndYH(this.FunctionID, curYhbh);
            this.SetParm("curjgqx", curjgqx);
            this.SetParm("curYhbh", curYhbh);
            this.SetParm("curYhmc", AppService.GetUserName());
            mle_1.Visible = false;
            string ywflag = "";
            if (this.FunctionID.Equals("SJ411"))
            {
                ywflag = "DB";
                st_title.Text = "调拨订货单【精确到款式】";
            }
            else if (this.FunctionID.Equals("SJ418"))
            {
                ywflag = "DZ";
                st_title.Text = "调拨通知单【精确到款式】";
            }

            else if (this.FunctionID.Equals("SJ419"))
            {
                ywflag = "DC";
                st_title.Text = "调拨出库单【精确到款式】";
            }
            else if (this.FunctionID.Equals("SJ420"))
            {
                ywflag = "DR";
                st_title.Text = "调拨入库单【精确到款式】";
            }

            this.SetParm("ywflag", ywflag);
            this.SetParm("curCdbh", this.FunctionID);
            dw_temp.AllowCreate = true;
            dw_temp.AllowRetrieve = true;
            dw_format.AllowCreate = true;
            dw_format.AllowRetrieve = true;
            //this.dw_list.ClickHeaderSort = true;
            //mle_1.Visible = false;
            string curJgtx = A8ERP.DBHelp.GetJGTXByBMAndYH(this.FunctionID, curYhbh);
            this.SetParm("jgtxlist", curJgtx);
            DBHelp db = new DBHelp();
            DataTable dt = db.QueryRDataTable("SELECT TOP 1 pzh,bbmc,bbfl FROM da_xt_report_format_hz WHERE cdbh ='" + this.FunctionID + "'  AND qdid ='" + curYhbh + "' AND bzxx='1'");
            if (dt.Rows.Count > 0)
            {
                pzh = dt.Rows[0][0].ToString();
                bbmc = dt.Rows[0][1].ToString();
                bbfl = dt.Rows[0][2].ToString();
            }
            this.SetParm("pzh", pzh);
            this.SetParm("bbmc", bbmc);
            this.SetParm("bbfl", bbfl);
            db.Close();
        }
    }
}
